---------------------
PatchSet 4435 
Date: 2007/05/01 20:52:57
Author: dwsquid
Branch: squid3-largeobj
Tag: (none) 
Log:
Use int64_t for file sizes in when parsing FTP directory listings.

Members: 
	src/ftp.cc:1.63.2.9->1.63.2.10 

Index: squid3/src/ftp.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ftp.cc,v
retrieving revision 1.63.2.9
retrieving revision 1.63.2.10
diff -u -r1.63.2.9 -r1.63.2.10
--- squid3/src/ftp.cc	30 Apr 2007 17:08:13 -0000	1.63.2.9
+++ squid3/src/ftp.cc	1 May 2007 20:52:57 -0000	1.63.2.10
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ftp.cc,v 1.63.2.9 2007/04/30 17:08:13 dwsquid Exp $
+ * $Id: ftp.cc,v 1.63.2.10 2007/05/01 20:52:57 dwsquid Exp $
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
@@ -258,7 +258,7 @@
 typedef struct
 {
     char type;
-    int size;
+    int64_t size;
     char *date;
     char *name;
     char *showname;
@@ -765,7 +765,7 @@
             p->type = 'd';
         } else {
             p->type = '-';
-            p->size = atoi(tokens[2]);
+            p->size = strtoll(tokens[2], NULL, 10);
         }
 
         snprintf(tbuf, 128, "%s %s", tokens[0], tokens[1]);
@@ -1056,7 +1056,7 @@
         snprintf(icon, 2048, "<IMG border=\"0\" SRC=\"%s\" ALT=\"%-6s\">",
                  mimeGetIconURL(parts->name),
                  "[FILE]");
-        snprintf(size, 2048, " %6dk", parts->size);
+        snprintf(size, 2048, " %6"PRId64"k", parts->size);
         break;
     }
 
